// Funes. Copyright (c) 2001, Nelson Minar <nelson@monkey.org>
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package org.monkey.nelson.funes.test;

import junit.textui.TestRunner;
import junit.framework.*;
import org.monkey.nelson.funes.stubmail.test.*;

public class AllTests extends TestSuite {
    public AllTests(String name) { super(name); }

    public static void main(String[] args) {
        junit.textui.TestRunner.run(suite());
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("Funes Tests");
        suite.addTestSuite(StubMessageTest.class);
        suite.addTestSuite(ParsedMessageTest.class);
        suite.addTestSuite(SearchTest.class);
        suite.addTest(org.monkey.nelson.protocol.xfilerange.test.AllTests.suite());
        return suite;
    }
}
